@import url('https://fonts.googleapis.com/css2?family=Montserrat:wght@300;400;500;600;700;800;900&display=swap');

#redirect-novidade {
    background: #DC3C23;
    background: linear-gradient(90deg, rgba(209, 46, 21, 1) 0%, rgba(240, 90, 35, 1) 76%);
}

.secretary-modal .modal-dialog {
    max-width: 550px;
}

.secretary-modal #button-close-modal {
    border: 1px solid #00000030;
    width: fit-content;
    border-radius: 4px;
    padding: 4px;
    display: grid;
    place-items: center;
    position: absolute;
    right: 1rem;
}

body.theme-dark .secretary-modal #button-close-modal {
    border: 1px solid #ffffff30;
}

    body.theme-dark .secretary-modal #button-close-modal svg {
        fill: #ffffff;
    }

.secretary-modal img {
    width: 100%;
    border-radius: 8px;
}

.secretary-modal .modal-content {
    padding: 1rem;
    display: flex !important;
}

.secretary-modal .modal-body {
    padding: 1.25rem 1.25rem 0;
}

.secretary-modal .modal-footer {
    margin: 1.25rem 1.25rem 0.5rem 1.25rem;
    padding: 1rem 0px 0px;
    justify-content: start;
}

body.theme-dark .secretary-modal .modal-footer {
    border-color: #ffffff30;
}

.secretary-modal h4 {
    font-size: 1.375rem !important;
    font-weight: 500 !important;
}

body.theme-dark .secretary-modal h4 {
    color: #ffffff !important;
}

.secretary-modal .modal-body h4 {
    font-size: 1.375rem !important;
    font-weight: bold !important;
}

.secretary-modal .modal-body p {
    font-size: 0.875rem !important;
    /* color: #64748B; */
    text-align: justify;
    margin: 0;
}

aside.menu ul li button.novidade {
    width: 100%;
    border: none;
    display: block;
    padding: 10px 20px;
    transition: 500ms background-color;
    border-radius: 5px;
    color: var(--text800);
    display: flex;
    align-items: center;
    gap: 15px;
    white-space: nowrap;
    font-size: 0.8em;
    background: #DC3C23;
    background: linear-gradient(90deg, rgba(209, 46, 21, 1) 0%, rgba(240, 90, 35, 1) 76%);
    color: white;
    transition: 200ms;
    border-radius: 12px 50px 50px 12px;
}

    aside.menu ul li button.novidade:hover {
        background-color: #DC3C23;
    }

    aside.menu ul li button.novidade svg {
        fill: white;
    }

/* -------------------------------------------------------- */
/*         Animação de movimento ao errar senha             */
/* -------------------------------------------------------- */

@keyframes shakeAlert {

    0%, 100% {
        transform: translateX(0);
    }

    10%, 30%, 50%, 70% {
        transform: translateX(-10px);
    }

    20%, 40%, 60% {
        transform: translateX(10px);
    }

    80% {
        transform: translateX(8px);
    }

    90% {
        transform: translateX(-8px);
    }
}

/* -------------------------------------------------------- */
/*         Animação para icone de Novo portal               */
/* -------------------------------------------------------- */

@keyframes welcomeEffectModal {

    0%, 100% {
        transform: rotate(10deg) scale(1);
    }

    50% {
        transform: rotate(-10deg) scale(1.1);
    }
}

.icon-alert {
    margin-right: 6px;
    font-size: 16px
}

.noty_has_timeout.noty_has_progressbar .noty_progressbar {
    background-color: rgb(156.7033492823,224.2822966507,246.2966507177) !important;
    opacity: 1 !important;
}

footer p {
    font-weight: 500;
}

* {
    font-family: 'Montserrat', Roboto, sans-serif;
}

body {
    background-color: var(--second-color);
}

    body.auth {
        background-color: #212121;
        color: #212529;
        min-height: 100vh !important;
        background-size: cover !important;
    }

        /*body.auth.theme-light {
            background-image: url("../imgs/background.png") !important;
        }*/

        body.auth.theme-dark {
            background-image: url("../../img/Usuario/background_pb.png") !important;
        }

/* ----- Form ----- */

.btn {
    font-size: 0.8em;
}

.wrap {
    width: 100%;
    overflow: hidden;
    background: var(--form-color);
    -webkit-box-shadow: 0px 10px 34px -15px rgba(0, 0, 0, 0.24);
    -moz-box-shadow: 0px 10px 34px -15px rgba(0, 0, 0, 0.24);
    box-shadow: 0px 10px 34px -15px rgba(0, 0, 0, 0.24);
    border-radius: 15px;
}

.interaction-password {
    display: none;
}

.login-wrap {
    position: relative;
    background-font-weight: 300;
    z-index: 1000;
    border-radius: 15px;
}

    .login-wrap h3, .login-wrap h5 {
        color: var(--text900);
        font-weight: 500;
    }

    .login-wrap p {
        color: var(--text800);
    }

.form-group .label {
    text-transform: initial;
    letter-spacing: 1px;
    color: var(--text900);
    font-size: inherit;
    font-weight: 500;
    line-height: 1;
    overflow: hidden;
}

.form-group a {
    color: var(--text900);
}

.form-control::placeholder {
    color: var(--text700) !important;
}

.form-control {
    background: var(--first-color);
    color: var(--text900) !important;
    border-radius: 5px;
    -webkit-box-shadow: none;
    box-shadow: none;
    border: 1px solid var(--third-color) !important;
    font-size: 0.9em;
}

    .form-control:focus {
        background-color: var(--third-color) !important;
    }

label {
    display: inline-block;
    margin-bottom: 0;
}

.input-group.password {
    background: var(--first-color);
    color: var(--text900) !important;
    border-radius: 5px;
    -webkit-box-shadow: none;
    box-shadow: none;
    border: 1px solid var(--third-color) !important;
    font-size: 0.9em;
}

    .input-group.password input {
        border: none !important;
    }

        .input-group.password input + .input-group-addon {
            background: var(--first-color);
        }

        .input-group.password input:focus + .input-group-addon {
            background-color: var(--third-color) !important;
        }

.input-group-addon {
    width: 35px !important;
    display: flex;
    justify-content: center;
    align-items: center;
    cursor: pointer;
}

/* ----- Navbar autenticação ----- */
nav .logo-senai {
    display: block;
}

nav .logo-senai-mobile {
    display: none;
}

.alert li {
    list-style: inside;
}

.link {
    text-decoration: underline !important;
    color: var(--text900);
}

/* ----- Alerta durante ao formulário ----- */

.alert {
    font-size: 11px;
}

.alert-success p {
    color: #155724;
}

/*.alert-acess {
    display: flex;
    align-items: center;
    gap: 20px;
}*/

.alert-acess p {
    color: #731c23;
}

.alert-acess i {
    /*width: 50px;*/
    font-size: 1.6em !important;
}

.alert-acess a {
    text-decoration: underline;
}

    .alert-acess a:hover {
        text-decoration: underline;
    }

.alert-acess.shake {
    animation: shakeAlert 500ms ease-in-out 0s 1 normal forwards;
}

/* ----- Section area ----- */
.ftco-section {
    min-height: calc(100vh - 125.72px);
    display: flex;
    align-items: center;
}

/* ----- Card onde contem o login ----- */
.card-login {
    z-index: 1000;
}

/* ----- Efeito espelho e itens fixo ----- */
.glassmorphism-bottom,
.glassmorphism-top {
    background-color: #ffffff00 !important;
}

.glassmorphism-bottom {
    color: var(--text900);
}

button:focus,
input:focus {
    box-shadow: none !important;
}

/* ----- Botão de navegação ----- */
.btn-navigation {
    border-radius: 50% !important;
    width: 40px;
    height: 40px;
    display: flex !important;
    align-items: center;
    justify-content: center;
    background-color: var(--color-senai) !important;
    color: #ffffff !important;
    border: none !important;
    padding: 0;
}

/* ----- Botão red ----- */
.btn-red {
    background-color: var(--color-senai) !important;
    transition: 200ms !important;
}

    .btn-red:hover {
        background-color: var(--color-senai-hover) !important;
    }

/* ----- Botão rounded ----- */
.btn-information,
.dropdown-access,
.dropdown-access + ul li a {
    background-color: var(--color-senai) !important;
    color: #ffffff !important;
    border-radius: 50%;
    width: 35px;
    height: 35px;
    display: flex;
    align-items: center;
    justify-content: center;
    border: none;
    box-shadow: none;
    padding: 0;
}

    .dropdown-access + ul {
        background-color: transparent;
        border: none;
    }

.btn-information {
    background-color: #ffffff !important;
    color: #000000 !important;
    width: auto;
    border-radius: 24px;
    padding: 0.5rem 0.875rem;
}

    .btn-information svg {
        margin-left: 4px;
    }

    .btn-information span {
        font-size: 0.875rem;
        margin: 0 4px 0 0;
    }

    .btn-information:hover {
        background-color: #6b141b;
    }

.dropdown-access i {
    font-size: 20px;
}

/* ----- particles.js container ----- */
#particles-js {
    position: absolute;
    width: 100%;
    height: 100%;
    background-image: url("");
    background-repeat: no-repeat;
    background-size: cover;
    background-position: 50% 50%;
}

/* ----- Aside menu ----- */
.nav-responsive {
    background-color: var(--first-color) !important;
    display: none !important;
}

    .nav-responsive button i {
        color: var(--text900);
    }

#aside-opened .navbar-toggler {
    display: none;
}

aside.menu {
    position: fixed;
    left: 0;
    top: 0;
    width: 250px;
    background-color: var(--first-color);
    height: 100vh;
    padding: 20px;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    z-index: 1001;
}

    aside.menu h4 {
        color: var(--text900);
    }

    aside.menu p.email {
        font-size: 0.8em;
    }

    aside.menu h4.email {
        max-width: 250px;
        overflow: hidden;
        text-overflow: ellipsis;
    }

    aside.menu p.email {
        max-width: 250px;
        white-space: nowrap;
        overflow: hidden;
        text-overflow: ellipsis;
    }

    aside.menu ul {
        padding: 0;
    }

        aside.menu ul li {
            margin-bottom: 5px;
            list-style: none;
        }

            aside.menu ul li a {
                display: block;
                padding: 10px 20px;
                transition: 500ms background-color;
                border-radius: 5px;
                color: var(--text800);
                display: flex;
                align-items: center;
                gap: 15px;
                white-space: nowrap;
                font-size: 0.8em;
            }

                aside.menu ul li a.active,
                aside.menu ul li a:hover {
                    background-color: var(--fourth-color);
                    color: var(--white);
                }

.morph-modal {
    position: fixed;
    visibility: hidden;
    opacity: 0;
    width: 100vw;
    height: 100vh;
    background-color: #000000e0;
    z-index: 1000;
    transition: 200ms;
}

/* ----- Content ----- */
.content {
    position: absolute;
    top: 0;
    left: 250px;
    width: calc(100% - 250px);
    min-height: 100vh;
}

    .content section {
        margin: 0 60px;
    }

        .content section p.m-0.my-4.text-dark {
            color: var(--text900) !important;
            font-weight: 600;
        }

.nav-responsive {
    padding: 15px 20px !important;
}

/* ----- Card welcome ------ */
.welcome-card {
    position: relative;
    flex-wrap: nowrap;
    padding: 20px 30px !important;
    display: flex;
    align-items: center;
    gap: 20px;
    justify-content: space-between;
    background-color: var(--first-color) !important;
}

    .welcome-card h4 {
        color: var(--text900);
    }

    .welcome-card p {
        font-size: 0.95em;
    }

    .welcome-card img {
        width: 50px;
    }

/* ----- Card cursos ------ */
.cards {
    display: flex;
    flex-wrap: wrap;
    gap: 20px;
    overflow: hidden;
}

.card-course {
    width: 100%;
    max-width: 314px;
    background-color: var(--first-color);
    border-radius: 10px;
    display: flex;
    flex-direction: column;
}

    .card-course h5 {
        overflow: hidden;
        text-overflow: ellipsis;
        display: -webkit-box;
        -webkit-line-clamp: 2;
        -webkit-box-orient: vertical;
        font-weight: 700;
    }

    .card-course p {
        color: var(--dark);
    }

    .card-course span {
        display: block;
        line-height: 22px;
    }

.cards .card-course .image-course.default {
    /*background-color: #6b141b;
    background-image: url('../imgs/Background.png');*/
    background-size: cover;
    width: 100%;
    height: 220px;
    background-repeat: no-repeat;
    letter-spacing: 1px;
    border-radius: 10px 10px 0 0;
}

    .cards .card-course .image-course.default p {
        display: flex;
        align-items: center;
        justify-content: center;
        color: var(--white);
        text-align: center;
        backdrop-filter: blur(5px);
        width: 100%;
        height: 100%;
        text-transform: uppercase;
        font-weight: 900;
        padding: 20px;
        user-select: none;
        border-radius: 10px 10px 0 0;
    }

.cards .card-course .image-course img {
    height: 220px;
    object-fit: cover;
    user-select: none;
}

.cards .card-course img {
    border-radius: 10px 10px 0 0;
    width: 100%;
}

.cards .card-course .description {
    flex-grow: 1;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
}

    .cards .card-course .description h5 {
        color: var(--text900);
    }

    .cards .card-course .description .period p {
        font-size: 0.9em;
        color: var(--text900);
        font-weight: 600;
    }

    .cards .card-course .description .period span {
        font-size: 0.8em;
    }

.cards .card-course .btn {
    background-color: var(--fourth-color) !important;
    border: none;
    transition: 200ms;
    font-size: inherit;
    font-size: 0.8em;
}

    .cards .card-course .btn:hover {
        transform: scale(.95);
        background-color: var(--color-senai) !important;
    }

/* Efeito card */

[data-anime] {
    opacity: 0;
    transition: 1s opacity;
}

    [data-anime].animate {
        opacity: 1;
        transform: translate3d(0px, 0px, 0px);
    }

/* ----- Responsivo ----- */
@media (max-width: 1024px) {
    #aside-opened .navbar-toggler {
        display: block;
        color: var(--text900);
    }

    .nav-responsive {
        display: flex !important;
    }

    aside.menu {
        left: -300px;
        opacity: 0;
        transition: 500ms;
    }

        aside.menu.aside-opened {
            left: 0;
            opacity: 1;
        }

    .morph-modal.morph-opened {
        visibility: visible;
        transition: 200ms;
        opacity: 1;
    }

    .content {
        left: 0;
        width: 100%;
        position: relative;
    }
}

@media (max-width: 650px) {

    .btn-information {
        background-color: #f1f1f1 !important;
    }

    .glassmorphism-top .container-fluid {
        gap: 1rem;
        padding: 10px 0;
        /*flex-wrap: nowrap;*/
        justify-content: center;
    }

        .glassmorphism-top .container-fluid img {
            min-width: 100px;
        }

    body.theme-light .wrap {
        background-color: #f1f1f1;
    }

    body.auth,
    body.auth.theme-light,
    body.auth.theme-dark {
        background-image: none !important;
        background-color: var(--first-color) !important;
    }

    .card-login {
        box-shadow: none !important;
    }

    .glassmorphism-bottom,
    .glassmorphism-top {
        background-color: var(--first-color) !important;
    }

        .glassmorphism-bottom p {
            color: var(--text900) !important;
        }

    body.auth.theme-light nav .logo-senai {
        display: none;
    }

    body.auth.theme-light nav .logo-senai-mobile {
        display: block;
    }

    body.auth.theme-dark nav .logo-senai-mobile {
        display: none;
    }

    body.auth.theme-dark nav .logo-senai {
        display: block;
    }

    .content section {
        margin: 0 20px;
    }

    .welcome-card {
        align-items: flex-start;
        flex-direction: column;
    }

        .welcome-card p {
            margin: 20px 0 !important;
        }

        .welcome-card img {
            width: 50px;
        }

    .notifications {
        width: 90%;
        right: calc(50vw - 45%) !important;
    }

        .notifications .notification-header h6 {
            font-size: 14px;
        }

        .notifications .notification-body .description h3 {
            font-size: 12px !important;
        }
}

@media (max-width: 400px) {
    .card-course {
        max-width: none;
    }
}


/* -------------------------------------------------------- */
/*                  Tooltip de novo portal                  */
/* -------------------------------------------------------- */


@keyframes progressiveBar {
    from {
        width: 100%;
    }

    to {
        width: 0%;
    }
}

.notifications {
    position: fixed;
    top: 8px;
    right: 8px;
    z-index: 1500;
    background-color: var(--second-color);
    border-radius: 10px;
    backdrop-filter: blur(20px);
    transition: transform .6s ease-in-out, filter .6s, opacity .6s ease-in-out, visibility .6s .6s;
    overflow: hidden;
    max-width: 500px;
    -webkit-backdrop-filter: blur(20px);
}

    .notifications.hidden {
        transform: scale(.7);
        filter: blur(20px);
        opacity: 0;
        visibility: hidden;
    }

    .notifications .notification-header {
        display: flex;
        align-items: center;
        justify-content: space-between;
        padding: 10px 0;
        margin: 0 20px;
        border: none;
        border-bottom: 1px solid var(--text600);
    }

        .notifications .notification-header h6 {
            margin: 0;
            color: var(--text900);
            font-weight: 600;
        }

        .notifications .notification-header button {
            border: none;
            min-width: 30px;
            height: 30px;
            border-radius: 50%;
            display: flex;
            align-items: center;
            justify-content: center;
            outline: none;
            transition: transform .3s;
        }

            .notifications .notification-header button:hover {
                transform: scale(.9);
            }

    .notifications .notification-body {
        display: flex;
        align-items: center;
        gap: 15px;
        padding: 15px;
    }

        .notifications .notification-body img {
            width: 70px;
            animation: welcomeEffectModal 5s infinite;
            filter: drop-shadow(1px 1px 10px #06fcfc90)
        }

        .notifications .notification-body .description h3 {
            font-size: 14px;
            color: var(--text800) !important;
            margin: 0;
        }

    .notifications .progressive-bar {
        position: relative;
        width: 100%;
        height: 2px;
        background-color: #06fcfc;
    }

.modal-info .modal-content {
    background-color: var(--first-color);
    color: var(--text800);
}

    .modal-info .modal-content strong {
        color: var(--text900);
    }

    .modal-info .modal-content h5 {
        color: var(--text900);
        font-weight: bold;
    }

    .modal-info .modal-content i {
        color: var(--text900);
    }

    .modal-info .modal-content ul li:not(li:last-child, ol li) {
        margin-bottom: 1rem;
    }

.feedback {
    display: flex;
    align-items: center;
    gap: 1rem;
}

    .feedback a {
        color: var(--first-color) !important;
        animation: pulse 2s infinite;
        position: relative;
        z-index: 1;
        font-size: 2rem;
        padding: 5px 15px;
    }

        .feedback a:hover {
            color: var(--text900);
        }


        .feedback a::before {
            content: '';
            display: block;
            position: absolute;
            width: 100%;
            height: 100%;
            top: 0;
            left: 0;
            background-color: inherit;
            border-radius: inherit;
            -webkit-transition: opacity .3s, -webkit-transform .3s;
            transition: opacity .3s, -webkit-transform .3s;
            transition: opacity .3s, transform .3s;
            transition: opacity .3s, transform .3s, -webkit-transform .3s;
            -webkit-animation: pulse-animation 1s cubic-bezier(0.24, 0, 0.38, 1) infinite;
            animation: pulse-animation 1s cubic-bezier(0.24, 0, 0.38, 1) infinite;
            z-index: -1;
        }


@keyframes pulse-animation {
    0% {
        opacity: 1;
        -webkit-transform: scale(1);
        transform: scale(1);
    }

    50% {
        opacity: 0;
        -webkit-transform: scale(1.5);
        transform: scale(1.5);
    }

    100% {
        opacity: 0;
        -webkit-transform: scale(1.5);
        transform: scale(1.5);
    }
}


/* -------------------------------------------------------- */
/*                         Card disable                     */
/* -------------------------------------------------------- */

.card-disable {
    filter: grayscale(1);
}
